<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:html="http://www.w3.org/1999/xhtml"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

===========
form_db.xsl
===========

----------------------
creation du formulaire
----------------------

EVOLUTIONS
==========

$Id$

- fplod 2008-09-17T09:49:51Z aedon.locean-ipsl.upmc.fr (Darwin)

  * project name from main.xml file instead of a fixed one

- fplod 2008-04-29T08:57:43Z aedon.locean-ipsl.upmc.fr (Darwin)

  * chgt for dbk5

- fplod 2007-10-17T08:07:50Z aedon.locean-ipsl.upmc.fr (Darwin)

  * improve sort (diacriticals)

- fplod 2007-05-18T14:56:32Z aedon.locean-ipsl.upmc.fr (Darwin)

  * modif gestion de id

- fplod 2007-05-15T07:41:16Z aedon.locean-ipsl.upmc.fr (Darwin)

  * factorisation de biblioentry

- fplod 2007-04-27T10:53:20Z aedon.locean-ipsl.upmc.fr (Darwin)

  * inclusion de php d'aprs http://www.cygwin.com/ml/docbook-apps/2005-q1/msg00484.html

- fplod 2007-04-26T12:08:09Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:include href="personal_db.xsl"/>
<xsl:include href="compilers_db.xsl"/>
<xsl:include href="platforms_db.xsl"/>
<xsl:include href="components_db.xsl"/>
<xsl:include href="comments_db.xsl"/>
<xsl:include href="newreferences_db.xsl"/>
<xsl:include href="processors_db.xsl"/>
<xsl:include href="biblioentry_xml.xsl"/>

<xsl:template name="form_db">
<!-- ++ template ou existant visu ou modif -->
 <xsl:param name="user"/>
 <xsl:param name="author_id"/>
 <xsl:param name="visu_modif"/>
 <xsl:param name="bibmode"/>

 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="html:form">
  <xsl:choose>
   <xsl:when test="$visu_modif= 'modif'">
    <xsl:attribute name="action">
     <xsl:value-of select="$link.mailto.url"/><xsl:text>?subject=[</xsl:text><xsl:value-of select="document('main.xml')/d:article/d:title"/><xsl:text>]</xsl:text>
     <!-- value is completed in form_html.xsl because of php sequence ++ -->
    </xsl:attribute>
    <xsl:attribute name="method">post</xsl:attribute>
    <xsl:attribute name="enctype">text/plain</xsl:attribute>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="html:input">
     <xsl:attribute name="name">message</xsl:attribute>
     <xsl:attribute name="type">hidden</xsl:attribute>
     <xsl:attribute name="value"><xsl:text>Thank you for your contribution to </xsl:text><xsl:value-of select="document('main.xml')/d:article/d:title"/></xsl:attribute>
    </xsl:element>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="html:input">
     <xsl:attribute name="name">server</xsl:attribute>
     <xsl:attribute name="type">hidden</xsl:attribute>
     <!-- value is set in form_html.xsl because of php sequence ++ -->
    </xsl:element>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="html:input">
     <xsl:attribute name="name">phpversion</xsl:attribute>
     <xsl:attribute name="type">hidden</xsl:attribute>
     <!-- value is set in form_html.xsl because of php sequence ++ -->
    </xsl:element>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="html:input">
     <xsl:attribute name="name">timestamp</xsl:attribute>
     <xsl:attribute name="type">hidden</xsl:attribute>
     <!-- value is set in form_html.xsl because of php sequence ++ -->
    </xsl:element>
   </xsl:when>
  </xsl:choose>
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="html:input">
   <xsl:attribute name="name">author_id</xsl:attribute>
   <xsl:attribute name="type">hidden</xsl:attribute>
   <xsl:attribute name="value"><xsl:value-of select="$author_id"/></xsl:attribute>
  </xsl:element>

  <xsl:call-template name="personal">
   <xsl:with-param name="user" select="$user"/>
   <xsl:with-param name="author_id" select="$author_id"/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
  </xsl:call-template>
  <xsl:call-template name="components">
   <xsl:with-param name="user" select="$user"/>
   <xsl:with-param name="author_id" select="$author_id"/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
  </xsl:call-template>
  <xsl:call-template name="platforms">
   <xsl:with-param name="user" select="$user"/>
   <xsl:with-param name="author_id" select="$author_id"/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
  </xsl:call-template>
  <xsl:call-template name="processors">
   <xsl:with-param name="user" select="$user"/>
   <xsl:with-param name="author_id" select="$author_id"/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
  </xsl:call-template>
  <xsl:call-template name="compilers">
   <xsl:with-param name="user" select="$user"/>
   <xsl:with-param name="author_id" select="$author_id"/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
  </xsl:call-template>
  <xsl:choose>
   <xsl:when test="$bibmode= 'yes'">
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="orderedlist">
  <!--
    <xsl:for-each select="/descendant::d:biblioentry[descendant::d:author=$author_name]">
  -->
    <xsl:for-each select="//d:biblioentry">
     <xsl:sort order="descending" data-type="number" select="./d:biblioset/d:pubdate"/>

     <xsl:for-each select="descendant::d:author">
      <xsl:sort order="ascending" data-type="text" select="translate(./d:personname,'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
      <xsl:variable name="author_id2">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="d:personname/d:surname"/>
</xsl:call-template>
<xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="d:personname/d:firstname"/>
</xsl:call-template>
      </xsl:variable>
<!--
     <xsl:message terminate="no">
      ref #<xsl:value-of select="position()"/>
      _id appel <xsl:value-of select="$author_id"/>
      _id fabrique <xsl:value-of select="$author_id2"/>
      egal ? <xsl:value-of select="$author_id2 = $author_id"/>
     </xsl:message>
-->
      <xsl:if test="$author_id2 = $author_id">
  <xsl:call-template name="one_biblioentry">
   <xsl:with-param name="visu_modif" select="'modif'"/>
   <xsl:with-param name="my_biblioentry" select="ancestor::d:biblioentry"/>
        <!-- ++ <xsl:with-param name="id" select="@xml:id"/> -->
  </xsl:call-template>

      </xsl:if>
     </xsl:for-each>
    </xsl:for-each>
    </xsl:element>
   </xsl:when>
  </xsl:choose>
  <xsl:call-template name="comments">
   <xsl:with-param name="author_id" select="$author_id"/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
  </xsl:call-template>
  <xsl:call-template name="newreferences">
   <xsl:with-param name="author_id" select="$author_id"/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
  </xsl:call-template>

  <xsl:choose>
   <xsl:when test="$visu_modif= 'modif'">
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="html:input">
     <xsl:attribute name="type">submit</xsl:attribute>
     <xsl:attribute name="value">Mail</xsl:attribute>
    </xsl:element>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="html:input">
     <xsl:attribute name="type">reset</xsl:attribute>
     <xsl:attribute name="value">reset</xsl:attribute>
    </xsl:element>
   </xsl:when>
  </xsl:choose>
 </xsl:element>
</xsl:template>

</xsl:stylesheet>
