<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xl="http://www.w3.org/1999/xlink"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

===========
user_db.xsl
===========

-----------------------------------------------------------------------
creation des lements de formulaire (sans saisie) d'aprs les info user
-----------------------------------------------------------------------

EVOLUTIONS
==========

$Id$

- fplod 2008-09-17T09:49:51Z aedon.locean-ipsl.upmc.fr (Darwin)

  * project name from main.xml file instead of a fixed one

- fplod 2008-04-30T13:55:17Z aedon.locean-ipsl.upmc.fr (Darwin)

  * language inherited from biblio.xml

- fplod 2008-04-29T10:23:26Z aedon.locean-ipsl.upmc.fr (Darwin)

  * chgt for dbk5

- fplod 2007-06-06T10:20:22Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add middle name

- fplod 2007-05-04T10:26:02Z aedon.locean-ipsl.upmc.fr (Darwin)

  * homogneisation sur bibnemo pr auteur et par anne

- fplod 2007-04-20T15:31:20Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:include href="message_lang.xsl"/>
<xsl:include href="components_db.xsl"/>
<xsl:include href="compilers_db.xsl"/>
<xsl:include href="platforms_db.xsl"/>
<xsl:include href="processors_db.xsl"/>

<xsl:output
 method="xml"
 indent="yes"
 encoding="ISO-8859-1"
 omit-xml-declaration="no"/>

<xsl:template match="users">

<xsl:variable name="project">
 <xsl:value-of select="document('main.xml')//d:keyword[@xml:id='project']"/>
</xsl:variable>

<xsl:element name="article">
<xsl:attribute name="version">5.0</xsl:attribute>
<xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
<xsl:attribute name="xml:lang"><xsl:value-of select="/d:bibliography/@xml:lang"/></xsl:attribute>
<xsl:attribute name="xml:id">users</xsl:attribute>


<title><xsl:value-of select="$project"/> Users</title>
<info>
<authorgroup>
<author><personname><firstname>Sbastien</firstname> <surname>Masson</surname></personname></author>
<author><personname><firstname>Franoise</firstname> <surname>Pinsard</surname></personname></author>
<!--++-->
</authorgroup>
<keywordset>
<keyword><xsl:value-of select="$project"/></keyword>
</keywordset>
</info>
<para xml:id="top">

This page intents to provide an exhaustive list of authors or users of <xsl:value-of select="$project"/>.
</para>
<para>
If you find omissions or mistakes please ask some modification via
<xsl:element name="link">
 <xsl:attribute name="xl:href">
  <xsl:value-of select="'./main.php'"/>
 </xsl:attribute>
 <xsl:value-of select="document('main.xml')/d:article/d:title"/>
 <xsl:text> main page</xsl:text>
</xsl:element>.
</para>
<para>
Yoy can also see <quote><xsl:value-of select="$project"/> - Publications - Papers</quote> sorted by
authors in
<xsl:element name="link">
 <xsl:attribute name="xl:href">
  <xsl:value-of select="'./superbib02.html'"/>
 </xsl:attribute>
 <xsl:text>one big document </xsl:text>
</xsl:element>
<xsl:text> or in </xsl:text>
<xsl:element name="link">
 <xsl:attribute name="xl:href">
  <xsl:value-of select="'../many/superbib01/index.html'"/>
 </xsl:attribute>
 <xsl:text>several </xsl:text>
</xsl:element> <xsl:text> (one by author)</xsl:text>.
</para>

<xsl:call-template name="para_lastupdate_user">
 <xsl:with-param name="language" select="document('biblio.xml')/d:bibliography/@xml:lang"/>
 <xsl:with-param name="date" select="./date"/>
</xsl:call-template>

<sect1 xml:id="intro">
<title>Introduction</title>
<para>
This document provide user's information sorted by user's id (<emphasis>SURNAME_f</emphasis>).
</para>
</sect1>

 <xsl:for-each select="user">
 <xsl:sort order="ascending" data-type="text" select="userid"/>
  <xsl:if test="userid != 'template'">
   <xsl:apply-templates select="."/>
  </xsl:if>
 </xsl:for-each>
 </xsl:element>
</xsl:template>

<xsl:template match="user">
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="sect1">
  <xsl:attribute name="xml:id"><xsl:value-of select="userid"/></xsl:attribute>
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="title">
   <xsl:value-of select="personname/firstname"/> <xsl:text> </xsl:text> <xsl:value-of select="personname/othername[@role='mi']"/> <xsl:text> </xsl:text> <xsl:value-of select="personname/surname"/>
   <xsl:element name="link">
    <xsl:attribute name="xl:href"><xsl:text>#top</xsl:text></xsl:attribute>
    <xsl:element name="inlinemediaobject">
     <xsl:element name="imageobject">
      <xsl:element name="imagedata">
       <xsl:attribute name="fileref">../../images/globalicondl11x10_up.gif</xsl:attribute>
      </xsl:element>
     </xsl:element>
     <xsl:element name="textobject">
      <xsl:element name="phrase">
       <xsl:text>top</xsl:text>
      </xsl:element>
     </xsl:element>
    </xsl:element>
   </xsl:element>
  </xsl:element>
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="para">
   <xsl:value-of select="email"/>
  </xsl:element>
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="para"> <!-- ++ para ou form -->
   <xsl:call-template name="components">
    <xsl:with-param name="user" select="."/>
    <xsl:with-param name="author_id" select="./userid"/>
    <xsl:with-param name="visu_modif" select="'visu'"/>
   </xsl:call-template>
   <xsl:call-template name="platforms">
    <xsl:with-param name="user" select="."/>
    <xsl:with-param name="author_id" select="./userid"/>
    <xsl:with-param name="visu_modif" select="'visu'"/>
   </xsl:call-template>
   <xsl:call-template name="processors">
    <xsl:with-param name="user" select="."/>
    <xsl:with-param name="author_id" select="./userid"/>
    <xsl:with-param name="visu_modif" select="'visu'"/>
   </xsl:call-template>
   <xsl:call-template name="compilers">
    <xsl:with-param name="user" select="."/>
    <xsl:with-param name="author_id" select="./userid"/>
    <xsl:with-param name="visu_modif" select="'visu'"/>
   </xsl:call-template>
  <xsl:text>&#xA;</xsl:text>
  </xsl:element>
 <xsl:text>&#xA;</xsl:text>
 </xsl:element>
</xsl:template>

</xsl:stylesheet>
